summaryrefslogtreecommitdiff
path: root/dev-libs
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /dev-libs
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'dev-libs')
l---------dev-libs/glib/files1
-rw-r--r--dev-libs/glib/glib-2.9999.ebuild91
-rw-r--r--dev-libs/ptlib/files/ptlib-2.4.1-instplugins.diff27
-rw-r--r--dev-libs/ptlib/files/ptlib-asm.patch15
-rw-r--r--dev-libs/ptlib/ptlib-2.4.1.ebuild109
-rw-r--r--dev-libs/ptlib/ptlib-2.4.2.ebuild98
-rw-r--r--dev-libs/ptlib/ptlib-2.6.0.ebuild98
-rw-r--r--dev-libs/ptlib/ptlib-9999.ebuild108
8 files changed, 547 insertions, 0 deletions
diff --git a/dev-libs/glib/files b/dev-libs/glib/files
new file mode 120000
index 0000000..fbba1c6
--- /dev/null
+++ b/dev-libs/glib/files
@@ -0,0 +1 @@
+/var/paludis/repositories/gentoo/dev-libs/glib/files \ No newline at end of file
diff --git a/dev-libs/glib/glib-2.9999.ebuild b/dev-libs/glib/glib-2.9999.ebuild
new file mode 100644
index 0000000..9139982
--- /dev/null
+++ b/dev-libs/glib/glib-2.9999.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/glib/glib-2.18.2.ebuild,v 1.1 2008/10/19 02:16:37 leio Exp $
+
+inherit libtool eutils flag-o-matic subversion
+
+DESCRIPTION="The GLib library of C routines"
+HOMEPAGE="http://www.gtk.org/"
+
+ESVN_REPO_URI="http://svn.gnome.org/svn/glib/trunk"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+S="${WORKDIR}/${P/_/}"
+
+LICENSE="LGPL-2"
+SLOT="2"
+KEYWORDS=""
+IUSE="debug doc fam hardened selinux xattr"
+
+RDEPEND="virtual/libc
+ virtual/libiconv
+ xattr? ( sys-apps/attr )
+ fam? ( virtual/fam )"
+DEPEND="${RDEPEND}
+ >=dev-util/pkgconfig-0.16
+ >=sys-devel/gettext-0.11
+ dev-util/gtk-doc
+"
+
+src_unpack() {
+ subversion_src_unpack
+ cd "${S}"
+
+ if use ppc64 && use hardened ; then
+ replace-flags -O[2-3] -O1
+ epatch "${FILESDIR}/glib-2.6.3-testglib-ssp.patch"
+ fi
+
+ if use ia64 ; then
+ # Only apply for < 4.1
+ local major=$(gcc-major-version)
+ local minor=$(gcc-minor-version)
+ if (( major < 4 || ( major == 4 && minor == 0 ) )); then
+ epatch "${FILESDIR}/glib-2.10.3-ia64-atomic-ops.patch"
+ fi
+ fi
+
+ # Don't fail gio tests when ran without userpriv, upstream bug 552912
+ # This is only a temporary workaround, remove as soon as possible
+ epatch "${FILESDIR}/${PN}-2.18.1-workaround-gio-test-failure-without-userpriv.patch"
+
+ # Fix gmodule issues on fbsd; bug #184301
+ epatch "${FILESDIR}"/${PN}-2.12.12-fbsd.patch
+
+ [[ ${CHOST} == *-freebsd* ]] && elibtoolize
+}
+
+src_compile() {
+ local myconf
+
+ epunt_cxx
+
+ # Building with --disable-debug highly unrecommended. It will build glib in
+ # an unusable form as it disables some commonly used API. Please do not
+ # convert this to the use_enable form, as it results in a broken build.
+ # -- compnerd (3/27/06)
+ use debug && myconf="--enable-debug"
+
+ # always build static libs, see #153807
+ econf ${myconf} \
+ $(use_enable xattr) \
+ $(use_enable doc man) \
+ $(use_enable doc gtk-doc) \
+ $(use_enable fam) \
+ $(use_enable selinux) \
+ --enable-static \
+ --with-threads=posix || die "configure failed"
+
+ emake || die "make failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Installation failed"
+
+ # Do not install charset.alias even if generated, leave it to libiconv
+ rm -f "${D}/usr/lib/charset.alias"
+
+ dodoc AUTHORS ChangeLog* NEWS* README
+}
diff --git a/dev-libs/ptlib/files/ptlib-2.4.1-instplugins.diff b/dev-libs/ptlib/files/ptlib-2.4.1-instplugins.diff
new file mode 100644
index 0000000..ba1cf35
--- /dev/null
+++ b/dev-libs/ptlib/files/ptlib-2.4.1-instplugins.diff
@@ -0,0 +1,27 @@
+--- Makefile.in.orig 2008-09-22 19:29:30.000000000 -0400
++++ Makefile.in 2008-09-22 19:28:56.000000000 -0400
+@@ -100,14 +100,16 @@
+ ln -sf $(PTLIB_FILE).@MAJOR_VERSION@.@MINOR_VERSION@@BUILD_TYPE@@BUILD_NUMBER@ $(PTLIB_FILE) \
+ )
+ ifeq (1, $(HAS_PLUGINS))
+- cd $(PT_LIBDIR)/device/ ; \
+- ( for dir in ./* ;\
+- do mkdir -p $(DESTDIR)$(LIBDIR)/$(DEV_PLUGIN_DIR)/$$dir ; \
+- chmod 755 $(DESTDIR)$(LIBDIR)/$(DEV_PLUGIN_DIR)/$$dir ; \
+- (for fn in ./$$dir/*.so ; \
+- do $(INSTALL) -m 444 $$fn $(DESTDIR)$(LIBDIR)/$(DEV_PLUGIN_DIR)/$$dir; \
+- done ); \
+- done )
++ if [ -d $(PT_LIBDIR)/device ] ; then \
++ cd $(PT_LIBDIR)/device/ ; \
++ ( for dir in ./* ;\
++ do mkdir -p $(DESTDIR)$(LIBDIR)/$(DEV_PLUGIN_DIR)/$$dir ; \
++ chmod 755 $(DESTDIR)$(LIBDIR)/$(DEV_PLUGIN_DIR)/$$dir ; \
++ (for fn in ./$$dir/*.so ; \
++ do $(INSTALL) -m 444 $$fn $(DESTDIR)$(LIBDIR)/$(DEV_PLUGIN_DIR)/$$dir; \
++ done ); \
++ done ) \
++ fi
+ endif
+ $(INSTALL) -m 444 include/ptlib.h $(DESTDIR)$(PREFIX)/include
+ $(INSTALL) -m 444 include/ptbuildopts.h $(DESTDIR)$(PREFIX)/include
diff --git a/dev-libs/ptlib/files/ptlib-asm.patch b/dev-libs/ptlib/files/ptlib-asm.patch
new file mode 100644
index 0000000..e5d6e9c
--- /dev/null
+++ b/dev-libs/ptlib/files/ptlib-asm.patch
@@ -0,0 +1,15 @@
+--- src/ptlib/common/jidctflt.cxx.orig 2008-09-24 09:13:06.000000000 -0400
++++ src/ptlib/common/jidctflt.cxx 2008-09-24 09:11:49.000000000 -0400
+@@ -110,10 +110,10 @@
+ "\tsar %2,%1\n"
+ "\tsub $-128,%1\n"
+ "\tcmovl %5,%1\n" /* Use the sub to compare to 0 */
+- "\tcmpl %4,%1\n"
++ "\tcmp %4,%1\n"
+ "\tcmovg %4,%1\n"
+ : "=r"(x)
+- : "0"(x), "Ir"(shift), "ir"(1UL<<(shift-1)), "r" (0xff), "r" (0)
++ : "0"((unsigned long)x), "c"((char)shift), "ir"(1UL<<(shift-1)), "r" (0xffUL), "r" (0UL)
+ );
+ return x;
+ }
diff --git a/dev-libs/ptlib/ptlib-2.4.1.ebuild b/dev-libs/ptlib/ptlib-2.4.1.ebuild
new file mode 100644
index 0000000..9e11f51
--- /dev/null
+++ b/dev-libs/ptlib/ptlib-2.4.1.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="1"
+
+inherit eutils
+
+DESCRIPTION="Network focused portable C++ class library providing high level functions"
+HOMEPAGE="http://www.ekiga.org/"
+SRC_URI="http://www.ekiga.org/admin/downloads/latest/sources/sources/${P}.tar.gz"
+
+LICENSE="MPL-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="alsa bsdvideo debug doc esd ieee1394 ipv6 ldap minimal noaudio novideo oss
+sasl sdl ssl sunaudio v4l v4l2 xml"
+
+RDEPEND="alsa? ( media-libs/alsa-lib )
+ esd? ( media-sound/esound )
+ ieee1394? ( media-libs/libdv
+ sys-libs/libavc1394
+ media-libs/libdc1394:1 )
+ ldap? ( net-nds/openldap )
+ sasl? ( dev-libs/cyrus-sasl:2 )
+ sdl? ( media-libs/libsdl )
+ ssl? ( dev-libs/openssl )
+ xml? ( dev-libs/expat )"
+DEPEND="${RDEPEND}
+ sys-devel/bison
+ sys-devel/flex
+ v4l? ( sys-kernel/linux-headers )
+ v4l2? ( sys-kernel/linux-headers )
+ !dev-libs/pwlib"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ # filter out -O3, -Os and -mcpu embedded compiler flags
+ sed -i \
+ -e "s:-mcpu=\$(CPUTYPE)::" \
+ -e "s:-O3 -DNDEBUG:-DNDEBUG:" \
+ -e "s:-Os::" \
+ make/unix.mak \
+ || die "Patching make/unix.mak failed"
+
+ # don't break make install if there are no plugins to install
+ epatch "${FILESDIR}"/${P}-instplugins.diff
+
+ # this patch fixes bugs: #145424 and #140358
+ epatch "${FILESDIR}"/${P}-asm.patch
+}
+
+src_compile() {
+ local myconf=""
+ local makeopts=""
+
+ use noaudio && myconf="${myconf} --disable-audio"
+ use novideo && myconf="${myconf} --disable-video"
+
+ econf \
+ ${myconf} \
+ $(use_enable alsa) \
+ $(use_enable bsdvideo) \
+ $(use_enable debug exceptions) \
+ $(use_enable debug memcheck) \
+ $(use_enable esd) \
+ $(use_enable ieee1394 avc) \
+ $(use_enable ieee1394 dc) \
+ $(use_enable ipv6) \
+ $(use_enable ldap openldap) \
+ $(use_enable minimal minsize) \
+ $(use_enable oss) \
+ $(use_enable sasl) \
+ $(use_enable sdl) \
+ $(use_enable ssl openssl) \
+ $(use_enable sunaudio) \
+ $(use_enable v4l) \
+ $(use_enable v4l2) \
+ $(use_enable xml expat) \
+ --enable-plugins \
+ || die "econf failed"
+
+ if use debug; then
+ makeopts="${makeopts} DEBUG=1 debug"
+ fi
+
+ emake ${makeopts} || die "emake failed"
+}
+
+src_install() {
+ local makeopts
+
+ makeopts="PREFIX=/usr DESTDIR=\"${D}\""
+
+ if use debug; then
+ makeopts="${makeopts} DEBUG=1"
+ fi
+
+ emake ${makeopts} install || die "emake install failed"
+
+ if use doc; then
+ dohtml -r html/* || die "documentation installation failed"
+ fi
+
+ dodoc ReadMe.txt ReadMe_QOS.txt History.txt || die "documentation
+ installation failed"
+}
diff --git a/dev-libs/ptlib/ptlib-2.4.2.ebuild b/dev-libs/ptlib/ptlib-2.4.2.ebuild
new file mode 100644
index 0000000..b3b9f38
--- /dev/null
+++ b/dev-libs/ptlib/ptlib-2.4.2.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="1"
+
+inherit eutils
+
+DESCRIPTION="Network focused portable C++ class library providing high level functions"
+HOMEPAGE="http://www.opalvoip.org/"
+SRC_URI="mirror://sourceforge/opalvoip/${P}.tar.bz2"
+
+LICENSE="MPL-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="alsa bsdvideo debug doc esd ieee1394 ipv6 ldap minimal noaudio novideo oss
+sasl sdl ssl sunaudio v4l v4l2 xml"
+
+RDEPEND="alsa? ( media-libs/alsa-lib )
+ esd? ( media-sound/esound )
+ ieee1394? ( media-libs/libdv
+ sys-libs/libavc1394
+ media-libs/libdc1394:1 )
+ ldap? ( net-nds/openldap )
+ sasl? ( dev-libs/cyrus-sasl:2 )
+ sdl? ( media-libs/libsdl )
+ ssl? ( dev-libs/openssl )
+ xml? ( dev-libs/expat )"
+DEPEND="${RDEPEND}
+ sys-devel/bison
+ sys-devel/flex
+ v4l? ( sys-kernel/linux-headers )
+ v4l2? ( sys-kernel/linux-headers )
+ !dev-libs/pwlib"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ # this patch fixes bugs: #145424 and #140358
+ epatch "${FILESDIR}"/${PN}-asm.patch
+}
+
+src_compile() {
+ local myconf=""
+ local makeopts=""
+
+ use noaudio && myconf="${myconf} --disable-audio"
+ use novideo && myconf="${myconf} --disable-video"
+
+ econf \
+ ${myconf} \
+ $(use_enable alsa) \
+ $(use_enable bsdvideo) \
+ $(use_enable debug exceptions) \
+ $(use_enable debug memcheck) \
+ $(use_enable esd) \
+ $(use_enable ieee1394 avc) \
+ $(use_enable ieee1394 dc) \
+ $(use_enable ipv6) \
+ $(use_enable ldap openldap) \
+ $(use_enable minimal minsize) \
+ $(use_enable oss) \
+ $(use_enable sasl) \
+ $(use_enable sdl) \
+ $(use_enable ssl openssl) \
+ $(use_enable sunaudio) \
+ $(use_enable v4l) \
+ $(use_enable v4l2) \
+ $(use_enable xml expat) \
+ --enable-plugins \
+ || die "econf failed"
+
+ if use debug; then
+ makeopts="${makeopts} DEBUG=1 debug"
+ fi
+
+ emake ${makeopts} || die "emake failed"
+}
+
+src_install() {
+ local makeopts
+
+ makeopts="PREFIX=/usr DESTDIR=\"${D}\""
+
+ if use debug; then
+ makeopts="${makeopts} DEBUG=1"
+ fi
+
+ emake ${makeopts} install || die "emake install failed"
+
+ if use doc; then
+ dohtml -r html/* || die "documentation installation failed"
+ fi
+
+ dodoc ReadMe.txt ReadMe_QOS.txt History.txt || die "documentation
+ installation failed"
+}
diff --git a/dev-libs/ptlib/ptlib-2.6.0.ebuild b/dev-libs/ptlib/ptlib-2.6.0.ebuild
new file mode 100644
index 0000000..b3b9f38
--- /dev/null
+++ b/dev-libs/ptlib/ptlib-2.6.0.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="1"
+
+inherit eutils
+
+DESCRIPTION="Network focused portable C++ class library providing high level functions"
+HOMEPAGE="http://www.opalvoip.org/"
+SRC_URI="mirror://sourceforge/opalvoip/${P}.tar.bz2"
+
+LICENSE="MPL-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="alsa bsdvideo debug doc esd ieee1394 ipv6 ldap minimal noaudio novideo oss
+sasl sdl ssl sunaudio v4l v4l2 xml"
+
+RDEPEND="alsa? ( media-libs/alsa-lib )
+ esd? ( media-sound/esound )
+ ieee1394? ( media-libs/libdv
+ sys-libs/libavc1394
+ media-libs/libdc1394:1 )
+ ldap? ( net-nds/openldap )
+ sasl? ( dev-libs/cyrus-sasl:2 )
+ sdl? ( media-libs/libsdl )
+ ssl? ( dev-libs/openssl )
+ xml? ( dev-libs/expat )"
+DEPEND="${RDEPEND}
+ sys-devel/bison
+ sys-devel/flex
+ v4l? ( sys-kernel/linux-headers )
+ v4l2? ( sys-kernel/linux-headers )
+ !dev-libs/pwlib"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ # this patch fixes bugs: #145424 and #140358
+ epatch "${FILESDIR}"/${PN}-asm.patch
+}
+
+src_compile() {
+ local myconf=""
+ local makeopts=""
+
+ use noaudio && myconf="${myconf} --disable-audio"
+ use novideo && myconf="${myconf} --disable-video"
+
+ econf \
+ ${myconf} \
+ $(use_enable alsa) \
+ $(use_enable bsdvideo) \
+ $(use_enable debug exceptions) \
+ $(use_enable debug memcheck) \
+ $(use_enable esd) \
+ $(use_enable ieee1394 avc) \
+ $(use_enable ieee1394 dc) \
+ $(use_enable ipv6) \
+ $(use_enable ldap openldap) \
+ $(use_enable minimal minsize) \
+ $(use_enable oss) \
+ $(use_enable sasl) \
+ $(use_enable sdl) \
+ $(use_enable ssl openssl) \
+ $(use_enable sunaudio) \
+ $(use_enable v4l) \
+ $(use_enable v4l2) \
+ $(use_enable xml expat) \
+ --enable-plugins \
+ || die "econf failed"
+
+ if use debug; then
+ makeopts="${makeopts} DEBUG=1 debug"
+ fi
+
+ emake ${makeopts} || die "emake failed"
+}
+
+src_install() {
+ local makeopts
+
+ makeopts="PREFIX=/usr DESTDIR=\"${D}\""
+
+ if use debug; then
+ makeopts="${makeopts} DEBUG=1"
+ fi
+
+ emake ${makeopts} install || die "emake install failed"
+
+ if use doc; then
+ dohtml -r html/* || die "documentation installation failed"
+ fi
+
+ dodoc ReadMe.txt ReadMe_QOS.txt History.txt || die "documentation
+ installation failed"
+}
diff --git a/dev-libs/ptlib/ptlib-9999.ebuild b/dev-libs/ptlib/ptlib-9999.ebuild
new file mode 100644
index 0000000..03b8892
--- /dev/null
+++ b/dev-libs/ptlib/ptlib-9999.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="1"
+
+inherit eutils subversion autotools
+
+DESCRIPTION="Network focused portable C++ class library providing high level functions"
+HOMEPAGE="http://www.opalvoip.org/"
+SRC_URI=""
+
+ESVN_REPO_URI="https://opalvoip.svn.sourceforge.net/svnroot/opalvoip/ptlib/trunk"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+#ESVN_BOOTSTRAP="./autogen.sh"
+
+S="${WORKDIR}/${P/_/}"
+
+LICENSE="MPL-1.0"
+SLOT="0"
+KEYWORDS=""
+IUSE="alsa bsdvideo debug doc esd ieee1394 ipv6 ldap minimal noaudio novideo oss
+sasl sdl ssl sunaudio v4l v4l2 xml +exceptions +plugins opal"
+
+RDEPEND="alsa? ( media-libs/alsa-lib )
+ esd? ( media-sound/esound )
+ ieee1394? ( media-libs/libdv
+ sys-libs/libavc1394
+ media-libs/libdc1394:1 )
+ ldap? ( net-nds/openldap )
+ sasl? ( dev-libs/cyrus-sasl:2 )
+ sdl? ( media-libs/libsdl )
+ ssl? ( dev-libs/openssl )
+ xml? ( dev-libs/expat )"
+DEPEND="${RDEPEND}
+ sys-devel/bison
+ sys-devel/flex
+ v4l? ( sys-kernel/linux-headers )
+ v4l2? ( sys-kernel/linux-headers )
+ !dev-libs/pwlib"
+
+src_unpack() {
+ subversion_src_unpack
+ cd "${S}"
+# eautoreconf
+
+ # this patch fixes bugs: #145424 and #140358
+ epatch "${FILESDIR}"/${PN}-asm.patch
+}
+
+src_compile() {
+ local myconf=""
+ local makeopts=""
+
+ use noaudio && myconf="${myconf} --disable-audio"
+ use novideo && myconf="${myconf} --disable-video"
+
+ econf \
+ ${myconf} \
+ $(use_enable alsa) \
+ $(use_enable bsdvideo) \
+ $(use_enable debug exceptions) \
+ $(use_enable debug memcheck) \
+ $(use_enable esd) \
+ $(use_enable ieee1394 avc) \
+ $(use_enable ieee1394 dc) \
+ $(use_enable ipv6) \
+ $(use_enable ldap openldap) \
+ $(use_enable minimal minsize) \
+ $(use_enable oss) \
+ $(use_enable sasl) \
+ $(use_enable sdl) \
+ $(use_enable ssl openssl) \
+ $(use_enable sunaudio) \
+ $(use_enable v4l) \
+ $(use_enable v4l2) \
+ $(use_enable xml expat) \
+ $(use_enable exceptions) \
+ $(use_enable plugins) \
+ $(use_enable opal) \
+ || die "econf failed"
+
+ if use debug; then
+ makeopts="${makeopts} DEBUG=1 debug"
+ fi
+
+ emake ${makeopts} || die "emake failed"
+}
+
+src_install() {
+ local makeopts
+
+ makeopts="PREFIX=/usr DESTDIR=\"${D}\""
+
+ if use debug; then
+ makeopts="${makeopts} DEBUG=1"
+ fi
+
+ emake ${makeopts} install || die "emake install failed"
+
+# if use doc; then
+# dohtml -r html/* || die "documentation installation failed"
+# fi
+
+# dodoc ReadMe.txt ReadMe_QOS.txt History.txt || die "documentation
+# installation failed"
+}